package TKL::OAI;

use Data::Dumper;
use TKL;
use strict;
use vars qw(@ISA);

@ISA = qw(TKL);


sub parse_oai_files {
    my $self = shift;
    my $oai_dir = $self->{oai_dir};
    my $root = $self->{root};
    my $dir = "$root/$oai_dir";
    my $ret = [];

    while (my $oai_file = <$dir/*$TKL::tkl_suffix>) {
	my $record = $self->parse($oai_file);
	##print "---------------------------------------------\n", Dumper($record);
	push @$ret, $self->parse($oai_file);
    }
    return $ret;
}


sub get_oai_rep {
    my $self = shift;
    my $reps = $self->parse_oai_files();
    my $ret = [];

    foreach my $rep (@$reps) {
	push @$ret, my $href = {};
	my $info = $rep->{'oai-rep'}->[0]->{nodeset};
	$href->{title} = $info->{title}->[0]->{content};
	$href->{url} = $info->{identifier}->[0]->{content};
	$href->{dist} = $info->{dist}->[0]->{content};
	$href->{strategy} = $info->{dist}->[0]->{attr}->{strategy};
	$href->{type} = $info->{type}->[0]->{content};
	$href->{frequence} = $info->{frequence}->[0]->{content};
    }
    return $ret;
}

    
## $Log: OAI.pm,v $
## Revision 1.1  2002/11/27 14:07:38  sondberg
## Added these files to repository.
##

1;
